Subject: Re: GR/NSF Terminology

From: Acee Lindem <[email-masked]>
Date: Tue, 04 Feb 2003 09:57:46 -0500

Danny, et al,

FWIW, draft-ietf-ospf-hitless-restart-06.txt now uses the term
"graceful restart" rather than "hitless restart". I didn't change
the draft name but once it is published as an RFC all remnants
of "hitless" will be gone.

Danny McPherson wrote:
>>The OSPF document you cite defines various terms, but in an 
>>OSPF-specific fashion.  Furthermore, the definitions are not 
>>collected anywhere in the document but are peppered throughout it... 
>>which is fine in context but doesn't lend itself to generic use of 
>>the terms.
> 
> 
> Agreed.
> 
> 
>>Seems like there are two things we could do:
>>
>>First, leave the documents as they are.  This is my preferred 
>>alternative.  The docs are relatively well advanced in terms of 
>>specification and even deployment, and doing what would be a 
>>non-trivial update solely for the purpose of aligning terminology 
>>strikes me a being work for work's sake.  This is doubly true because 
>>a major terminology change creates the risk of introducing subtle 
>>errors to the spec if one isn't careful.  Apart from aesthetics, what 
>>need do you think is fulfilled by aligning the specs?
>>
>>Alternately, if we do want to go ahead and change the specs, then a 
>>(generic) definitions document such as you have volunteered to write 
>>seems a necessity.  I'm not a fan of "framework" documents and I hope 
>>we could keep the scope of the proposed definitions document focused.
> 
> 
> OK, so folks don't seem to be to keen on the idea at this point.
> Given that I'm not attached to the idea of more work "for the
> sake of work" then I'll drop it.  I believe there is room for 
> commonality but look where that's got me in PWE3 *8^/
> 
>  
> 
>>By the way, I think "graceful restart" has historic precedence over 
>>"hitless restart" if you want to align terms :-). 
> 
> 
> Agreed. 
> 
> -danny
> 
> _______________________________________________
> routing-discussion mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/routing-discussion
> 

-- 
Acee

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: Acee Lindem <[email-masked]>
Date: Tue, 04 Feb 2003 09:57:46 -0500

Danny, et al,

-- 
Acee